apiVersion: cluster.argocd.crossplane.io/v1alpha1
kind: Cluster
metadata:
  name: argo-app-test
  labels:
    purpose: dev
spec:
  forProvider:
    config:
      kubeconfigSecretRef:
        key: kubeconfig
        namespace: crossplane-system
        name: argo-app-test-kubeconf
    name: argo-app-test-cluster
  providerConfigRef:
    name: argocd-provider
